Bug 223781 - xfsprogs depends on libtermcap
Summary: xfsprogs depends on libtermcap
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfsprogs   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 226748
TreeView+ depends on / blocked
 
Reported: 2007-01-22 13:48 UTC by Miroslav Lichvar
Modified: 2013-07-03 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 18:05:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miroslav Lichvar 2007-01-22 13:48:37 UTC
Description of problem:

Some utilities from xfsprogs package depend on libtermcap. Binaries should be
linked with ncurses instead, libtermcap and termcap are to be dropped completely.

Looks like the readline interface in the utils isn't working at all, so just
removing --enable-readline=yes and --enable-termcap=yes from configure options
is probably ok.

Version-Release number of selected component (if applicable):
xfsprogs-2.8.11-3.fc6

Steps to Reproduce:
1. rpm -q --requires xfsprogs | grep termcap
  
Actual results:
libtermcap.so.2

Expected results:

Comment 1 Miroslav Lichvar 2007-02-14 18:05:21 UTC
Readline support disabled in xfsprogs-2.8.18-2.fc7.


Note You need to log in before you can comment on or make changes to this bug.